Servoy JasperReports Plugin - Defect #579

Error in Servoy
11/16/2012 05:25 PM - Andres Achiary

Status: Closed Start date: 11/16/2012
Priority: Normal Due date:

Assignee: Andrei Costache % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
i'm having trouble with a report | want to open from Servoy. The report is OK inside iReport

When | want to open it | get this error:

cannot assign instance of net.sf.jasperreports.engine.base.JRBaseStaticText to field
net.sf.jasperreports.engine.base.JRBaseParagraph.paragraphContainer of type net.sf.jasperreports.engine.JRParagraphContainer in
instance of net.sf.jasperreports.engine.base.JRBaseParagraph

Wrapped java.lang.Exception: cannot assign instance of net.sf.jasperreports.engine.base.JRBaseStaticText to field
net.sf.jasperreports.engine.base.JRBaseParagraph.paragraphContainer of type net.sf.jasperreports.engine.JRParagraphContainer in
instance of net.sf.jasperreports.engine.base.JRBaseParagraph (C:\\\Documents and

Settings\\\JoSe\\\servoy workspace6b\\turnos\\\forms\\\turnos_dia.js#25)

at C:\WDocuments and Settings\\W\JoSe\\\\servoy_workspace6b\\\\turnos\\\forms\\\\turnos_dia.js:25 (genera_informe)

Does anyone know what this could be?

Attaching the report with its subreport.

Thanks,
Andres

History

#1 - 11/26/2012 05:07 PM - Andrei Costache
- Status changed from New to In Progress

- Assignee set to Andrei Costache

#2 - 11/27/2012 09:06 AM - Andrei Costache

Hi Andres,

Could you please attach a sample solution, or post the code you use when running the report, and maybe a create db sql also?
Regards,

Andrei

#3 - 11/27/2012 09:23 AM - Andrei Costache

| have tried to compile your reports with iReport 4.6 and all seemed fine; also i ran them, with the 4.0b1 version of the plugin (modified the reports a
bit to suite my database, as i do not have yours) and it seemed fine.

Maybe if you provide a sample as requested above, we can test more, to see what the problem is.

Can you also try with a clean (new) install of the plugin (to make sure you don't have some older libraries in there that are not in sync - some related
fixes on the web, related to jasperreports, suggest "not-in-sync" library problems may be the root cause).

Regards,
Andrei

#4 - 11/28/2012 05:09 PM - Andres Achiary
Andrei, tried downloading the basic version of the jasper plugin and got the same error.

The sentence called from servoy is:

plugins.jasperPluginRMI.relativeReportsDirectory="E:/reportes/turnos"
plugins.jasperPluginRMI.runReport("turnos","./turnosdia.jrxml",

null,plugins.jasperPluginRMI.OUTPUT_FORMAT.VIEW,{fechaturno:f_fechaturno,nro_prestador:f_prestador})

where f_fechaturno and f_prestador are form variables.
Please let me know if you need anything else

The SQL for the tables are:

- Table: admi0001

-- DROP TABLE admi0001;

CREATE TABLE admi0001

(

prestador numeric(8,0) NOT NULL,

fechatur timestamp with time zone NOT NULL,
nroficha numeric(9,0),

apynom character varying(60),

nrodoc numeric(9,0),

observacion character varying(60),

tipo_vis character(1),

destino numeric(1,0),

diasemanal character varying(2),

estado numeric(1,0),

primera character varying(1),

entreturno character varying(1),

0soc numeric(6,0),

deriva character varying(30),

fecent timestamp with time zone,

montocob numeric(10,2),

montoreal numeric(10,2),

nombreinforme character varying(50),
fechacreacion timestamp with time zone,
fechamodificacion timestamp with time zone,
usuariocreacion character varying(30),
usuariomodificacion character varying(30),
empresa integer NOT NULL,

numero integer NOT NULL,
relacion_problema integer,

CONSTRAINT nro_interno_adm PRIMARY KEY (numero ),
CONSTRAINT clave_adm UNIQUE (empresa , prestador , fechatur )

)

WITH (

OIDS=FALSE

);

ALTER TABLE admi0001
OWNER TO "DBA";

-- Table: adm002
-- DROP TABLE adm002;

CREATE TABLE adm002

(

orden integer NOT NULL,

relac_inos integer NOT NULL,

relac_admO001 integer NOT NULL,

cantidad numeric(2,0) NOT NULL,

nroorden numeric(20,0),

nroregi numeric(15,0),

osoc integer,

fechacreacion timestamp without time zone,
fechamodificacion timestamp without time zone,
usuariocreacion character varying(30),
usuariomodificacion character varying(30),
empresa integer,

CONSTRAINT clave_adm002 PRIMARY KEY (orden ),

CONSTRAINT clave_adm001_inos UNIQUE (empresa , relac_adm001 , relac_inos )

)

WITH (

OIDS=FALSE

);

ALTER TABLE adm002
OWNER TO "DBA";
-- Table: arcpro
-- DROP TABLE arcpro;

CREATE TABLE arcpro

(

prestador numeric(8,0) NOT NULL,
apynom character varying(60),

dclio character varying(100),

telefono character varying(60),

nroesp integer NOT NULL,

intervalo numeric(2,0) NOT NULL,

cuit character varying(13),

lunes_dman numeric(4,0),

lunes_hman numeric(4,0),

lunes_dtar numeric(4,0),

lunes_htar numeric(4,0),

martes_dman numeric(4,0),
martes_hman numeric(4,0),

martes_dtar numeric(4,0),

martes_htar numeric(4,0),
miercoles_dman numeric(4,0),
miercoles_hman numeric(4,0),
miercoles_dtar numeric(4,0),
miercoles_htar numeric(4,0),
jueves_dman numeric(4,0),
jueves_hman numeric(4,0),

jueves_dtar numeric(4,0),

jueves_htar numeric(4,0),

viernes_dman numeric(4,0),
viernes_hman numeric(4,0),
viernes_dtar numeric(4,0),

viernes_htar numeric(4,0),
sabado_dman numeric(4,0),
sabado_hman numeric(4,0),
sabado_dtar numeric(4,0),

sabado_htar numeric(4,0),
domingo_dman numeric(4,0),
domingo_hman numeric(4,0),
domingo_dtar numeric(4,0),
domingo_htar numeric(4,0),
fechacreacion timestamp with time zone,
fechamodificacion timestamp with time zone,
usuariocreacion character varying(30),
usuariomodificacion character varying(30),
empresa integer NOT NULL,

numero integer NOT NULL,
prestador_texto character varying(60),
CONSTRAINT numero_interno PRIMARY KEY (numero ),
CONSTRAINT clave_arcpro UNIQUE (empresa , prestador )

)

WITH (

OIDS=FALSE

);

ALTER TABLE arcpro
OWNER TO "DBA";

#5 - 12/12/2012 04:00 PM - Andrei Costache

Andres, please do note that you cannot use absolute path setting like plugins.jasperPluginRMI.relativeReportsDirectory="E:/reportes/turnos” with the
plugin anymore. Please set the absolute path for the report directory in the admin page and, if needed, on the client, set paths that are relative to your
admin page setting.

#6 - 12/12/2012 04:16 PM - Andrei Costache

Can you provide some examples for f_fechaturno and f_prestador?
| provided no params (so a simpler scenario) and got an empty report (no pages), but no error. Could you try the same maybe?

Regards,
Andrei

#7 - 12/24/2012 03:09 PM - Andrei Costache

- Status changed from In Progress to Feedback

06/17/2025 3/4



Hi! Any updates?

Regards,
Andrei

#8 - 03/11/2013 08:55 AM - Andrei Costache
Hi,
Is this problem still present; any updates regarding what has been asked previously?

Regards,
Andrei

#9 - 03/11/2013 09:46 AM - Andrei Costache
- Status changed from Feedback to Closed

If the issue is still present please reopen provding more details if possible, as requested.

Regards,
Andrei

Files

report.rar 18.8 KB 11/16/2012 Andres Achiary
